# Uses of Class
org.apache.avro.idl.IdlParser.MapTypeContext

## Uses of IdlParser.MapTypeContext in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlParser.MapTypeContext
Modifier and Type
Method
Description
`final IdlParser.MapTypeContext`
IdlParser.`mapType()`
`IdlParser.MapTypeContext`
IdlParser.PlainTypeContext.`mapType()`
Methods in org.apache.avro.idl with parameters of type IdlParser.MapTypeContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterMapType(IdlParser.MapTypeContext ctx)`
Enter a parse tree produced by `IdlParser.mapType()`.
`void`
IdlListener.`enterMapType(IdlParser.MapTypeContext ctx)`
Enter a parse tree produced by `IdlParser.mapType()`.
`void`
IdlBaseListener.`exitMapType(IdlParser.MapTypeContext ctx)`
Exit a parse tree produced by `IdlParser.mapType()`.
`void`
IdlListener.`exitMapType(IdlParser.MapTypeContext ctx)`
Exit a parse tree produced by `IdlParser.mapType()`.